tigervncconfig(1)

NAME
tigervncconfig - configure and control a VNC server

SYNOPSIS
tigervncconfig [parameters]
tigervncconfig [parameters] -connect host[:port]
tigervncconfig [parameters] -disconnect
tigervncconfig [parameters] [-set] Xtigervnc-param=value ...
tigervncconfig [parameters] -list
tigervncconfig [parameters] -get Xvnc-param
tigervncconfig [parameters] -desc Xvnc-param

DESCRIPTION
tigervncconfig is used to configure and control a running instance of Xtigervnc, or any other X server with the VNC extension. Note that it cannot be used to control VNC servers prior to version 4.

When run with no options, it runs as a kind of "helper" application for Xtigervnc. Its main purpose when run in this mode is to support clipboard transfer to and from the VNC viewer(s). Note that without a running instance of vncconfig there will be no clipboard support. It puts up a window with some checkboxes which can be used to disable clipboard transfers if required (in the future there may be more functions available from this window). The -nowin flag can be used if you always want clipboard support but don't wish to clutter the desktop with this window - alternatively the -iconic option can be used to make it iconified by default.

When run in any other mode, vncconfig is a one-shot program used to configure or control Xtigervnc as appropriate. It can be used to tell Xtigervnc to connect or disconnect from listening viewers, and to set and retrieve Xtigervnc's parameters.

Note that the DISPLAY environment variable or the -display option must be set as appropriate to control Xtigervnc. If you run it on an ordinary X server (or on a version 3 Xtigervnc) you will get an error message saying that there is no VNC extension.

OPTIONS

-connect host[:port]
    Tells an Xtigervnc server to make a "reverse" connection to a listening VNC viewer (normally connections are made the other way round - the viewer connects to the server). host is the host where the listening viewer is running. If it's not listening on the default port of 5500, you can specify host:port instead.

-disconnect
    This causes Xtigervnc to disconnect from all viewers so that the VNC desktop is not displayed anywhere.

[-set] Xvnc-param=value
    Sets an Xtigervnc parameter to the given value. Note that some of Xtigervnc's parameters are read only once at startup so that changing them in this way may not have any effect.

-list
    Lists all the parameters supported by Xtigervnc.

-get Xvnc-param
    Prints the current value of the given Xtigervnc parameter.

-desc Xvnc-param
    Prints a short description of the given Xtigervnc parameter.

PARAMETERS
tigervncconfig also has parameters of its own which can be set on the command line. These should not be confused with Xtigervnc's parameters which are manipulated with the -set, -get, -list and -desc options.

Parameters can be turned on with -param or off with -param=0. Parameters which take a value can be specified as -param value. Other valid forms are param=value -param=value --param=value. Parameter names are case-insensitive.

-display Xdisplay
    Specifies the Xtigervnc server to control.

-nowin
    When run as a "helper" app, don't put up a window.

-iconic
    When run as a "helper" app, make the window iconified at startup.

SEE ALSO
tigervncpasswd(1), xtigervncviewer(1), tigervncserver(1), Xtigervnc(1)
http://www.tigervnc.org

AUTHOR
Tristan Richardson, RealVNC Ltd. and others.

VNC was originally developed by the RealVNC team while at Olivetti Research Ltd / AT&T Laboratories Cambridge. TightVNC additions were implemented by Constantin Kaplinsky. Many other people have since participated in development, testing and support. This manual is part of the TigerVNC software suite.